
Figure - Bug #113794
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】进入视频小窗，播放视频时，全屏应用，点击视频无法暂停/开始
2022-11-08 14:33 - CD TEST-方永红

Status: CLOSED Start date: 2022-11-08

Priority: High Due date: 2022-11-24

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V4.0_20221128

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0044.X101

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

Reproducibility: Every time Fixed Version: 2022-11-22

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

2、本地有一个视频

【测试步骤】

1、长按视频应用，在弹窗中选择小窗

2、在打开的视频小窗中播放一个视频

3、点击左上角的全屏应用按钮

4、在全屏状态下，单击播放中的视频

【预期结果】

4、点击后，视频暂停，并且出现暂停图标

【实际结果】

4、点击后，视频继续播放，无暂停图标

【复现率】

必现

PS:图库小窗同上

History

#1 - 2022-11-16 16:17 - CDTS_TEST 王成

- Priority changed from Normal to High

#2 - 2022-11-16 17:37 - CDTS_TEST 王成

- Severity changed from Major to Critical

#3 - 2022-11-17 17:53 - CD APP-王营

从目前的现象来看，可能是AOSP原生问题。不能兼容小窗模式的切换，需要在原生基础上分析并修改功能，目前优先处理功能开发任务和严重CRASH

，此问题建议延后处理。
#4 - 2022-11-17 18:58 - DL FW-张挽强

- Assignee changed from DL FW-张挽强 to CD APP-王营

系统侧分析原因 为播放视频的时候 进入全屏播放暂停按钮消失 是因为窗口模式变化的时候会重新加载窗口，为Android原生的方法，从全屏到小窗也会

有同样的问题出现，需app侧监听onConfigrationChange接口监听窗口模式变化进行处理

#5 - 2022-11-18 18:06 - CDTS-TEST 周婷

- Due date set to 2022-11-24

- Target version set to VX1_MCE_FSE_V4.0_20221128

#6 - 2022-11-21 16:06 - CD APP-黄棚

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-黄棚

- Degrated changed from -- to No

■ Current conclusion

Activity重建的问题

■ My analysis

小窗变化后，activity重建，播放状态丢失，导致不显示

■ Next action 

Activity重建后保存播放状态，重建完成后回复播放状态

#7 - 2022-11-21 17:18 - CD APP-黄棚

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Fixed Version set to 2022-11-22

- Root cause set to AOSP问题

■ Current conclusion

Activity重建的问题

■ My analysis

小窗变化后，activity重建，播放状态丢失，导致不显示

■ Next action

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/164296

#8 - 2022-11-21 17:59 - CD APP-黄棚

- % Done changed from 0 to 100

#9 - 2022-11-22 10:01 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

#10 - 2022-11-22 11:15 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0022.X101

11.22
经验证

进入视频小窗，播放视频时，全屏应用，点击视频可以暂停/开始

可以关闭

#11 - 2022-11-22 11:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#12 - 2022-12-22 20:54 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

164296 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:Gallery2: Fiexd Video play status bug 1137941. Add video playback state recovery logic2. Fixed play status view can not show bug3. Fix the bug that activity

reconstruction continues to play after pausingTC-RID: 1201-0300701IssueID: TS-R-BUG-113794Change-Id: I76e36d77e6aa20ff872945a756eb0e4eda5841c7

Files

Phone-STS40X190122 2022-11-08 14-29-53.mp4 25.1 MB 2022-11-08 CD TEST-方永红

logcat.txt 1.76 MB 2022-11-08 CD TEST-方永红

2025-07-04 3/3


